var async = require('async'),
	fs = require('fs');

var sdk = require('../');

var apiHost = "https://api.esendex.com";
var sessionService = new sdk.SessionService(apiHost);

var account = null;
var session = null;

async.series({
	loadAccount: function (done) {
        fs.readFile('./account.json', 'utf8', function (err, data) {
          if (err)
			throw err;
         
          account = JSON.parse(data);
		  done();
        });
	},
	getSession: function (done) {
		sessionService.create(account.username, account.password, function (_session) {
			console.log('Got session ID: ', _session);
			session = _session;
			done();
		});
	},
	dispatchMessage: function (done) {
		var dispatcherService = new sdk.MessageDispatcherService(apiHost, session);
		var msg = new sdk.Message("tofield", "this is the body");
		dispatcherService.send(msg, account.accountRef, function (_response) {
			console.log('Message sent: ', _response);
			done();
		});
	}
});